Jump to content


upgrading to Enterprise with or wo Composer


  • Please log in to reply
No replies to this topic

#1 richb201

richb201

    Advanced Member

  • Members
  • PipPipPip
  • 69 posts

Posted 06 September 2020 - 09:45 AM

I am about to upgrade to enterprise. I have a license key but the question is to use composer or not? I have composer on my machine and doing a locate (I am in Ubuntu) is see at least 20 different composer.json files. Which one to update? Looking in my /app dir I see this one:

 

{
"require": {
"aws/aws-sdk-php": "^3.64",
"php-http/guzzle6-adapter": "1.1.1",
"php-http/httplug-bundle": "^1.18",
"koolreport/codeigniter": "^1.8",
"koolreport/core": "^4.7"
}
}

 

I don't see any mention of GC! Is it possible that when i initially installed GC Community, I did it without Composer (it was years ago!)? Bottom line is that I have years of effort in my code and I don't want to chance screwing it up. Is there any way to back out my upgrade if I screw it up? 

 

thx

 

 






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users